On Wednesday 13 May 2009 21:08:11 Jonathan Chen wrote:
> On Wed, May 13, 2009 at 05:54:09PM +0200, Zbigniew Komarnicki wrote:
> > On Wednesday 13 of May 2009 12:08:55 you wrote:
> > > just a guess, looks like a problems with cups-base, try to update it
> > > first. I recommend ports-mgmt/portmaster.
> >
> > Thank you for help :-)
> >
> > I upgraded all my installed ports, by
> > # portmaster -a
> >
> > but this error still remain. I also reinstall the cups-base port by
> > # portmaster -rf print/cups-base
> >
> > but still with no success. Here is the output:
>
> Here's the thing: Ghostscript has a hidden (and apparently broken)
> dependency on cups (ie, it's not in the Makefile).

It's called autotools magic. If cups.h is found, --disable-cups isn't set then 
the assumption is made that cups/raster.h also exists, but in FreeBSD ports 
cups/raster.h is not installed when only cups-client is installed.

If you also want gs binary to be able to print to cups directly, then after 
you did this upgrade, reinstall ghostscript 8 again, so it will pick up the 
cups support automatically. Most people don't care about this last bit, since 
gs is used under the hood to transform document formats and printing is done 
via a higher level application.
-- 
Mel
_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "freebsd-questions-unsubscr...@freebsd.org"

Reply via email to